
QGIS Application - Bug report #17591

Browser subitems are not shown sorted

2017-11-30 06:47 AM - Nyall Dawson

Status: Closed

Priority: Normal

Assignee: Nyall Dawson

Category: Browser

Affected QGIS version:master Regression?: No

Operating System: Easy fix?: No

Pull Request or Patch supplied:No Resolution: fixed/implemented

Crashes QGIS or corrupts data:No Copied to github as #: 25488

Description

Steps to reproduce:

using the browser, open a folder containing a mix of file types (including projects, python files, and data files). The files all appear in a

semi-random order.

Associated revisions

Revision fec31f8d - 2017-12-13 06:06 AM - Nyall Dawson

Sort browser items

Implements a sort key for browser items, allowing them to be

correctly sorted.

Fixes #17591

History

#1 - 2017-12-13 10:57 AM - Nyall Dawson

- % Done changed from 0 to 100

- Status changed from Open to Closed

Applied in changeset commit:qgis|fec31f8da20de04fdaa241000abf1cca3b3e01c5.

#2 - 2018-02-22 11:46 AM - Giovanni Manghi

- Resolution set to fixed/implemented

- Category set to Browser
